uniform float time;
uniform vec2 resolution;

void main( void ) {  
    vec2 uPos = ( gl_FragCoord.xy / resolution.y );//normalize wrt y axis
    uPos -= vec2((resolution.x/resolution.y)/10.0, 1);//shift origin to center
    
    float vertColor = 0.0;
    //*
    for(float i=0.0; i<4.0; i++){
        float t = time*(i*0.1+1.)/3.0 + (i*0.1+0.5); 
        uPos.y += cos(t+uPos.x*2.0)*sin(time) ;
        uPos.y += sin(-t*4.0+uPos.y*3.0)*0.7 ;
        float value = cos(uPos.y*8.0*0.5)+sin(uPos.x*6.1-t);
        float stripColor = 1.0/sqrt(abs(value));
        vertColor += stripColor/10.0;
    }
    //*/
    float oColor=0.0;    
    
    float temp = vertColor;    
    vec3 color = vec3(0, max(0.1,(temp-oColor)*abs(sin(time*0.03+1.))), 1);    
    color *= color.r+color.g+color.b;
    gl_FragColor = vec4(color, 1.0);
}


